CREATE TABLE gl_je_lines (
    JE_HEADER_ID                    NUMBER(18, 0),
    JE_LINE_NUM                     NUMBER(18, 0),
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LEDGER_ID                       NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID             NUMBER(18, 0)    NOT NULL,
    PERIOD_NAME                     VARCHAR2(60)     NOT NULL,
    EFFECTIVE_DATE                  DATE             NOT NULL,
    STATUS                          VARCHAR2(4)      NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ENTERED_DR                      NUMBER       ,
    ENTERED_CR                      NUMBER       ,
    ACCOUNTED_DR                    NUMBER       ,
    ACCOUNTED_CR                    NUMBER       ,
    DESCRIPTION                     VARCHAR2(960),
    REFERENCE_1                     VARCHAR2(960),
    REFERENCE_2                     VARCHAR2(960),
    REFERENCE_3                     VARCHAR2(960),
    REFERENCE_4                     VARCHAR2(960),
    REFERENCE_5                     VARCHAR2(960),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    ATTRIBUTE6                      VARCHAR2(600),
    ATTRIBUTE7                      VARCHAR2(600),
    ATTRIBUTE8                      VARCHAR2(600),
    ATTRIBUTE9                      VARCHAR2(600),
    ATTRIBUTE10                     VARCHAR2(600),
    ATTRIBUTE11                     VARCHAR2(600),
    ATTRIBUTE12                     VARCHAR2(600),
    ATTRIBUTE13                     VARCHAR2(600),
    ATTRIBUTE14                     VARCHAR2(600),
    ATTRIBUTE15                     VARCHAR2(600),
    ATTRIBUTE16                     VARCHAR2(600),
    ATTRIBUTE17                     VARCHAR2(600),
    ATTRIBUTE18                     VARCHAR2(600),
    ATTRIBUTE19                     VARCHAR2(600),
    ATTRIBUTE20                     VARCHAR2(600),
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    ATTRIBUTE_CATEGORY2             VARCHAR2(600),
    INVOICE_DATE                    DATE         ,
    TAX_CODE                        VARCHAR2(60) ,
    INVOICE_IDENTIFIER              VARCHAR2(80) ,
    INVOICE_AMOUNT                  NUMBER       ,
    NO1                             VARCHAR2(600),
    STAT_AMOUNT                     NUMBER       ,
    IGNORE_RATE_FLAG                VARCHAR2(4)  ,
    ATTRIBUTE_CATEGORY3             VARCHAR2(600),
    USSGL_TRANSACTION_CODE          VARCHAR2(120),
    SUBLEDGER_DOC_SEQUENCE_ID       NUMBER       ,
    ATTRIBUTE_CATEGORY4             VARCHAR2(600),
    SUBLEDGER_DOC_SEQUENCE_VALUE    NUMBER       ,
    REFERENCE_6                     VARCHAR2(960),
    REFERENCE_7                     VARCHAR2(960),
    REFERENCE_8                     VARCHAR2(960),
    REFERENCE_9                     VARCHAR2(960),
    REFERENCE_10                    VARCHAR2(960),
    GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(120),
    GLOBAL_ATTRIBUTE1               VARCHAR2(600),
    GLOBAL_ATTRIBUTE2               VARCHAR2(600),
    GLOBAL_ATTRIBUTE3               VARCHAR2(600),
    GLOBAL_ATTRIBUTE4               VARCHAR2(600),
    GLOBAL_ATTRIBUTE5               VARCHAR2(600),
    GLOBAL_ATTRIBUTE6               VARCHAR2(600),
    GLOBAL_ATTRIBUTE7               VARCHAR2(600),
    GLOBAL_ATTRIBUTE8               VARCHAR2(600),
    GLOBAL_ATTRIBUTE9               VARCHAR2(600),
    GLOBAL_ATTRIBUTE10              VARCHAR2(600),
    GLOBAL_ATTRIBUTE11              VARCHAR2(600),
    GLOBAL_ATTRIBUTE12              VARCHAR2(600),
    GLOBAL_ATTRIBUTE13              VARCHAR2(600),
    GLOBAL_ATTRIBUTE14              VARCHAR2(600),
    GLOBAL_ATTRIBUTE15              VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5        NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1          DATE         ,
    GLOBAL_ATTRIBUTE_DATE2          DATE         ,
    GLOBAL_ATTRIBUTE_DATE3          DATE         ,
    GLOBAL_ATTRIBUTE_DATE4          DATE         ,
    GLOBAL_ATTRIBUTE_DATE5          DATE         ,
    GL_SL_LINK_ID                   NUMBER       ,
    GL_SL_LINK_TABLE                VARCHAR2(120),
    TAXABLE_LINE_FLAG               VARCHAR2(4)  ,
    TAX_TYPE_CODE                   VARCHAR2(4)  ,
    TAX_CODE_ID                     NUMBER(18, 0),
    TAX_ROUNDING_RULE_CODE          VARCHAR2(4)  ,
    AMOUNT_INCLUDES_TAX_FLAG        VARCHAR2(4)  ,
    TAX_DOCUMENT_IDENTIFIER         VARCHAR2(200),
    TAX_DOCUMENT_DATE               DATE         ,
    TAX_CUSTOMER_NAME               VARCHAR2(960),
    TAX_CUSTOMER_REFERENCE          VARCHAR2(960),
    TAX_REGISTRATION_NUMBER         VARCHAR2(200),
    TAX_LINE_FLAG                   VARCHAR2(4)  ,
    TAX_GROUP_ID                    NUMBER(18, 0),
    LINE_TYPE_CODE                  VARCHAR2(80) ,
    CO_THIRD_PARTY                  VARCHAR2(56) ,
    CO_PROCESSED_FLAG               VARCHAR2(4)  ,
    CURRENCY_CODE                   VARCHAR2(60)     NOT NULL,
    CURRENCY_CONVERSION_DATE        DATE             NOT NULL,
    CURRENCY_CONVERSION_TYPE        VARCHAR2(120)    NOT NULL,
    CURRENCY_CONVERSION_RATE        NUMBER           NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    GLOBAL_ATTRIBUTE16              VARCHAR2(600),
    GLOBAL_ATTRIBUTE17              VARCHAR2(600),
    GLOBAL_ATTRIBUTE18              VARCHAR2(600),
    GLOBAL_ATTRIBUTE19              VARCHAR2(600),
    GLOBAL_ATTRIBUTE20              VARCHAR2(600),
    JGZZ_RECON_REF                  VARCHAR2(960),
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_DATE6                 DATE         ,
    ATTRIBUTE_DATE7                 DATE         ,
    ATTRIBUTE_DATE8                 DATE         ,
    ATTRIBUTE_DATE9                 DATE         ,
    ATTRIBUTE_DATE10                DATE         ,
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_NUMBER6               NUMBER       ,
    ATTRIBUTE_NUMBER7               NUMBER       ,
    ATTRIBUTE_NUMBER8               NUMBER       ,
    ATTRIBUTE_NUMBER9               NUMBER       ,
    ATTRIBUTE_NUMBER10              NUMBER       ,
    PARTITION_GROUP_CODE            VARCHAR2(60) ,
    JE_HEADER_ID                    NUMBER(18, 0),
    JE_LINE_NUM                     NUMBER(18, 0),
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LEDGER_ID                       NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID             NUMBER(18, 0)    NOT NULL,
    PERIOD_NAME                     VARCHAR2(60)     NOT NULL,
    EFFECTIVE_DATE                  DATE             NOT NULL,
    STATUS                          VARCHAR2(4)      NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    ENTERED_DR                      NUMBER       ,
    ENTERED_CR                      NUMBER       ,
    ACCOUNTED_DR                    NUMBER       ,
    ACCOUNTED_CR                    NUMBER       ,
    DESCRIPTION                     VARCHAR2(960),
    REFERENCE_1                     VARCHAR2(960),
    REFERENCE_2                     VARCHAR2(960),
    REFERENCE_3                     VARCHAR2(960),
    REFERENCE_4                     VARCHAR2(960),
    REFERENCE_5                     VARCHAR2(960),
    ATTRIBUTE1                      VARCHAR2(600),
    ATTRIBUTE2                      VARCHAR2(600),
    ATTRIBUTE3                      VARCHAR2(600),
    ATTRIBUTE4                      VARCHAR2(600),
    ATTRIBUTE5                      VARCHAR2(600),
    ATTRIBUTE6                      VARCHAR2(600),
    ATTRIBUTE7                      VARCHAR2(600),
    ATTRIBUTE8                      VARCHAR2(600),
    ATTRIBUTE9                      VARCHAR2(600),
    ATTRIBUTE10                     VARCHAR2(600),
    ATTRIBUTE11                     VARCHAR2(600),
    ATTRIBUTE12                     VARCHAR2(600),
    ATTRIBUTE13                     VARCHAR2(600),
    ATTRIBUTE14                     VARCHAR2(600),
    ATTRIBUTE15                     VARCHAR2(600),
    ATTRIBUTE16                     VARCHAR2(600),
    ATTRIBUTE17                     VARCHAR2(600),
    ATTRIBUTE18                     VARCHAR2(600),
    ATTRIBUTE19                     VARCHAR2(600),
    ATTRIBUTE20                     VARCHAR2(600),
    ATTRIBUTE_CATEGORY              VARCHAR2(600),
    ATTRIBUTE_CATEGORY2             VARCHAR2(600),
    INVOICE_DATE                    DATE         ,
    TAX_CODE                        VARCHAR2(60) ,
    INVOICE_IDENTIFIER              VARCHAR2(80) ,
    INVOICE_AMOUNT                  NUMBER       ,
    NO1                             VARCHAR2(600),
    STAT_AMOUNT                     NUMBER       ,
    IGNORE_RATE_FLAG                VARCHAR2(4)  ,
    ATTRIBUTE_CATEGORY3             VARCHAR2(600),
    USSGL_TRANSACTION_CODE          VARCHAR2(120),
    SUBLEDGER_DOC_SEQUENCE_ID       NUMBER       ,
    ATTRIBUTE_CATEGORY4             VARCHAR2(600),
    SUBLEDGER_DOC_SEQUENCE_VALUE    NUMBER       ,
    REFERENCE_6                     VARCHAR2(960),
    REFERENCE_7                     VARCHAR2(960),
    REFERENCE_8                     VARCHAR2(960),
    REFERENCE_9                     VARCHAR2(960),
    REFERENCE_10                    VARCHAR2(960),
    GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(120),
    GLOBAL_ATTRIBUTE1               VARCHAR2(600),
    GLOBAL_ATTRIBUTE2               VARCHAR2(600),
    GLOBAL_ATTRIBUTE3               VARCHAR2(600),
    GLOBAL_ATTRIBUTE4               VARCHAR2(600),
    GLOBAL_ATTRIBUTE5               VARCHAR2(600),
    GLOBAL_ATTRIBUTE6               VARCHAR2(600),
    GLOBAL_ATTRIBUTE7               VARCHAR2(600),
    GLOBAL_ATTRIBUTE8               VARCHAR2(600),
    GLOBAL_ATTRIBUTE9               VARCHAR2(600),
    GLOBAL_ATTRIBUTE10              VARCHAR2(600),
    GLOBAL_ATTRIBUTE11              VARCHAR2(600),
    GLOBAL_ATTRIBUTE12              VARCHAR2(600),
    GLOBAL_ATTRIBUTE13              VARCHAR2(600),
    GLOBAL_ATTRIBUTE14              VARCHAR2(600),
    GLOBAL_ATTRIBUTE15              VARCHAR2(600),
    GLOBAL_ATTRIBUTE_NUMBER1        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER2        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER3        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER4        NUMBER       ,
    GLOBAL_ATTRIBUTE_NUMBER5        NUMBER       ,
    GLOBAL_ATTRIBUTE_DATE1          DATE         ,
    GLOBAL_ATTRIBUTE_DATE2          DATE         ,
    GLOBAL_ATTRIBUTE_DATE3          DATE         ,
    GLOBAL_ATTRIBUTE_DATE4          DATE         ,
    GLOBAL_ATTRIBUTE_DATE5          DATE         ,
    GL_SL_LINK_ID                   NUMBER       ,
    GL_SL_LINK_TABLE                VARCHAR2(120),
    TAXABLE_LINE_FLAG               VARCHAR2(4)  ,
    TAX_TYPE_CODE                   VARCHAR2(4)  ,
    TAX_CODE_ID                     NUMBER(18, 0),
    TAX_ROUNDING_RULE_CODE          VARCHAR2(4)  ,
    AMOUNT_INCLUDES_TAX_FLAG        VARCHAR2(4)  ,
    TAX_DOCUMENT_IDENTIFIER         VARCHAR2(200),
    TAX_DOCUMENT_DATE               DATE         ,
    TAX_CUSTOMER_NAME               VARCHAR2(960),
    TAX_CUSTOMER_REFERENCE          VARCHAR2(960),
    TAX_REGISTRATION_NUMBER         VARCHAR2(200),
    TAX_LINE_FLAG                   VARCHAR2(4)  ,
    TAX_GROUP_ID                    NUMBER(18, 0),
    LINE_TYPE_CODE                  VARCHAR2(80) ,
    CO_THIRD_PARTY                  VARCHAR2(56) ,
    CO_PROCESSED_FLAG               VARCHAR2(4)  ,
    CURRENCY_CODE                   VARCHAR2(60)     NOT NULL,
    CURRENCY_CONVERSION_DATE        DATE             NOT NULL,
    CURRENCY_CONVERSION_TYPE        VARCHAR2(120)    NOT NULL,
    CURRENCY_CONVERSION_RATE        NUMBER           NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    GLOBAL_ATTRIBUTE16              VARCHAR2(600),
    GLOBAL_ATTRIBUTE17              VARCHAR2(600),
    GLOBAL_ATTRIBUTE18              VARCHAR2(600),
    GLOBAL_ATTRIBUTE19              VARCHAR2(600),
    GLOBAL_ATTRIBUTE20              VARCHAR2(600),
    JGZZ_RECON_REF                  VARCHAR2(960),
    ATTRIBUTE_DATE1                 DATE         ,
    ATTRIBUTE_DATE2                 DATE         ,
    ATTRIBUTE_DATE3                 DATE         ,
    ATTRIBUTE_DATE4                 DATE         ,
    ATTRIBUTE_DATE5                 DATE         ,
    ATTRIBUTE_DATE6                 DATE         ,
    ATTRIBUTE_DATE7                 DATE         ,
    ATTRIBUTE_DATE8                 DATE         ,
    ATTRIBUTE_DATE9                 DATE         ,
    ATTRIBUTE_DATE10                DATE         ,
    ATTRIBUTE_NUMBER1               NUMBER       ,
    ATTRIBUTE_NUMBER2               NUMBER       ,
    ATTRIBUTE_NUMBER3               NUMBER       ,
    ATTRIBUTE_NUMBER4               NUMBER       ,
    ATTRIBUTE_NUMBER5               NUMBER       ,
    ATTRIBUTE_NUMBER6               NUMBER       ,
    ATTRIBUTE_NUMBER7               NUMBER       ,
    ATTRIBUTE_NUMBER8               NUMBER       ,
    ATTRIBUTE_NUMBER9               NUMBER       ,
    ATTRIBUTE_NUMBER10              NUMBER       ,
    PARTITION_GROUP_CODE            VARCHAR2(60) ,
    CONSTRAINT pk_gl_je_lines PRIMARY KEY (JE_HEADER_ID, JE_LINE_NUM, JE_HEADER_ID, JE_LINE_NUM)
);
